
<div class="row">
    <div class="col-md-12">
        <div class="input-group">
            <div class="input-group-prepend-line">
                <div class="input-group-text">
                    <i class="mdi mdi-filter-outline"></i>
                </div>
            </div>
            <input type="text" class="form-control form-control-line bg-transparent text-body" placeholder="Buscar por {{ activeColumn.displayName }}"
                name="filter" autocomplete="off" (keyup.enter)="search()" style="padding-left: 32px;"
                #searchInput ngbAutofocus>
            <div class="input-group-append-line">
                <div class="input-group-text dropdown-caret-up" ngbDropdown data-caret="right">
                    <a href="javascript:void(0)" class="no-caret" style="margin-bottom: -1px;" ngbDropdownToggle>
                        <i class="mdi mdi-text text-hover-secondary text-muted c-pointer"></i>
                    </a>
                    <div class="dropdown-menu dropdown-menu-right py-0" ngbDropdownMenu>
                        <span class="dropdown-header font-xs text-muted default">
                            <strong class="text-body">Filtrando por:</strong>
                            &nbsp;{{ activeColumn.displayName }}
                        </span>
                        <span class="dropdown-item" *ngFor="let column of columns" [class.active]="activeColumn === column"
                            (click)="selectColumn(column);">
                            {{ column.displayName }}
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

